Bug 196175 - please generate popt-devel package for *.h and *.a files
please generate popt-devel package for *.h and *.a files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-21 14:58 EDT by Hans Ulrich Niedermann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-21 18:32:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans Ulrich Niedermann 2006-06-21 14:58:58 EDT
Description of problem:

  The popt package ships a C header file /usr/include/popt.h file.

  This popt.h file is detected by any package's configure script.
  As libpopt.so is required by a LOT of other packages, one
  cannot just remove the popt package to test the
  "if-no-popt.h-detected" path of the configure script.

  If the popt.h file was in a separate popt-devel package, one could just
  uninstall that one, leaving libpopt.so and all 

Version-Release number of selected component (if applicable):

  popt-1.10.2-15.2 from rpm-4.4.2-15.2.src.rpm
Comment 1 Jeff Johnson 2006-06-21 18:32:12 EDT
So don't remove the popt package, do this instead:
    mv /usr/include/popt.h /usr/include/popt.h-ORIG
    ./configure ... 
    mv /usr/include/popt.h-ORIG /usr/oinclude/popt.h
Comment 2 Hans Ulrich Niedermann 2006-06-24 14:46:38 EDT
Good idea. This makes automatic build scripts so much more straightforward. :-/
Comment 3 Jeff Johnson 2006-07-06 23:57:46 EDT
Removing popt-devel while building will have at least as significant an effect on other processes using a 
build tree as renaming the files for the purposes of automated build scripts.

Besides, you said for testing a (presumably lightly traveled) "if-no-popt.h-detected" path of the configure 
script. Surely that path does not need testing more than occaisionally.

And even if popt-devel were to be created, there's gazillions of systems that will break
your configure testing scheme no matter what, its not like everyone is gonna suddenly upgrade
popt to use a popt-devel split as you suggested.

Note You need to log in before you can comment on or make changes to this bug.